=== debian/changelog ===
ldb (2:1.2.3-1ubuntu0.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Heap corruption via crafted DN strings
    - debian/patches/CVE-2020-27840.patch: avoid head corruption in
      ldb_dn_explode in common/ldb_dn.c.
    - CVE-2020-27840
  * SECURITY UPDATE: Out of bounds read in AD DC LDAP server
    - debian/patches/CVE-2021-20277.patch: stay in bounds in
      common/attrib_handlers.c.
    - CVE-2021-20277

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 24 Mar 2021 08:03:16 -0400

ldb (2:1.2.3-1ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Out of bound read in ldb_wildcard_compare
    - debian/patches/CVE-2019-3824-1.patch: fix length.
    - debian/patches/CVE-2019-3824-2.patch: add extra comments.
    - debian/patches/CVE-2019-3824-3.patch: improve code style.
    - debian/patches/CVE-2019-3824-4.patch: use talloc_zero.
    - debian/patches/CVE-2019-3824-5.patch: check tree operation.
    - debian/patches/CVE-2019-3824-6.patch: fix end of data check.
    - CVE-2019-3824

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 25 Feb 2019 08:13:32 -0500

ldb (2:1.2.3-1) unstable; urgency=medium

  * New upstream version 1.2.3
    - Update symbols (no change)
  * Standards-Version: 4.1.3, no change
  * Repository moved to salsa: Update Vcs-* fields
  * Bumping debhelper compat from 9 to 11

 -- Mathieu Parent <sathieu@debian.org>  Thu, 11 Jan 2018 07:36:33 +0100

ldb (2:1.2.2-2) unstable; urgency=medium

  * Upload to sid

 -- Mathieu Parent <sathieu@debian.org>  Thu, 26 Oct 2017 10:28:05 +0200

ldb (2:1.2.2-1) experimental; urgency=medium

  * New upstream version 1.2.2
    - Update symbols
    - Bump build-dependencies to talloc 2.1.10, tdb 1.3.15 and tevent 0.9.33
    - Add Breaks to incompatible packages
    - Add Build-Depends: libcmocka-dev (>= 1.1.1~)
  * Use https form of the copyright-format URL (Debian Policy 4.0.0)
  * Standards-Version: 4.0.0

 -- Mathieu Parent <sathieu@debian.org>  Tue, 03 Oct 2017 21:44:15 +0200
