## ldb 1.4.0+really1.3.5

=== debian/changelog ===
ldb (2:1.4.0+really1.3.5-2ubuntu0.1) cosmic-security; urgency=medium

  * SECURITY UPDATE: Out of bound read in ldb_wildcard_compare
    - debian/patches/CVE-2019-3824-1.patch: fix length.
    - debian/patches/CVE-2019-3824-2.patch: add extra comments.
    - debian/patches/CVE-2019-3824-3.patch: improve code style.
    - debian/patches/CVE-2019-3824-4.patch: use talloc_zero.
    - debian/patches/CVE-2019-3824-5.patch: check tree operation.
    - debian/patches/CVE-2019-3824-6.patch: fix end of data check.
    - CVE-2019-3824

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 25 Feb 2019 07:53:00 -0500

ldb (2:1.4.0+really1.3.5-2) unstable; urgency=high

  * Add patch from upstream to fix FTBFS on some arches (arm64, armhf, mips,
    mipsel, s390x, ...)
  * Urgency kept to high

 -- Mathieu Parent <sathieu@debian.org>  Thu, 16 Aug 2018 15:46:12 +0200

ldb (2:1.4.0+really1.3.5-1) unstable; urgency=high

  * Upload to unstable
  * Urgency high for 4.8.4 security release
  * New upstream version 1.3.5 (for samba 4.8.4)
    - samba 4.8 is not compatible with ldb 1.4
    - Update symbols, no change
    - Update patches
  * Revert python3 support until it is back in talloc (Reopen: #815139)
  * Standards-Version: 4.1.5
    - d/control: Add Rules-Requires-Root: no

 -- Mathieu Parent <sathieu@debian.org>  Wed, 15 Aug 2018 05:13:16 +0200

ldb (2:1.4.0-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * Add py3 support (Closes: #815139)

  [ Louis van Belle ]
  * Relax debhelper Build-Depends to allow backport

  [ Mathieu Parent ]
  * New upstream version 1.4.0
    - Bump build-dependencies to talloc 2.1.13
    - Update symbols, no change
    - Add liblmdb-dev (>= 0.9.16) to Build-Depends
    - Update patches

 -- Mathieu Parent <sathieu@debian.org>  Sun, 01 Jul 2018 21:52:39 +0200

ldb (2:1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3
    - Update symbols, no change
  * Standards-Version: 4.1.4, no change

 -- Mathieu Parent <sathieu@debian.org>  Wed, 16 May 2018 23:46:56 +0200

ldb (2:1.3.2-2) unstable; urgency=low

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Tue, 15 May 2018 15:43:04 +0200

ldb (2:1.3.2-1) experimental; urgency=medium

  * New upstream version 1.3.2
    - Bump build-dependencies to talloc 2.1.11 and tevent 0.9.36
    - Update symbols
  * Upload to experimental

 -- Mathieu Parent <sathieu@debian.org>  Sun, 11 Mar 2018 21:36:00 +0100
