=== debian/control ===
--- 
+++ 
@@ -5,25 +5,27 @@
 XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>,
            Mathieu Parent <sathieu@debian.org>
-Build-Depends: debhelper (>> 11),
+Build-Depends: debhelper (>= 11),
                dh-python,
                docbook-xml,
                docbook-xsl,
                libcmocka-dev (>= 1.1.1~),
                libldap2-dev,
+               liblmdb-dev (>= 0.9.16),
                libpopt-dev,
-               libtalloc-dev (>= 2.1.10~),
+               libtalloc-dev (>= 2.1.13~),
                libtdb-dev (>= 1.3.15~),
-               libtevent-dev (>= 0.9.33~),
+               libtevent-dev (>= 0.9.36~),
                pkg-config,
                python (>= 2.6.6-3),
                python-all-dbg (>= 2.6.6-3),
                python-all-dev (>= 2.6.6-3),
-               python-talloc-dev (>= 2.1.10~),
+               python-talloc-dev (>= 2.1.13~),
                python-tdb (>= 1.3.15~),
                xsltproc
+Rules-Requires-Root: no
 Homepage: http://ldb.samba.org/
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Vcs-Browser: https://salsa.debian.org/samba-team/ldb
 Vcs-Git: https://salsa.debian.org/samba-team/ldb.git
