=== debian/rules ===
--- 
+++ 
@@ -70,6 +70,9 @@
 	ar cr libldb.a bin/default/common/*.o
 	mv libldb.a $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)
 
+override_dh_missing:
+	dh_missing --list-missing
+
 override_dh_strip:
 	dh_strip --dbgsym-migration='python-ldb-dbg (<< 2:1.1.27-1~), libldb1-dbg (<< 2:1.1.27-1~)'
