## ldb 1.4.0+really1.3.6

=== debian/changelog ===
ldb (2:1.4.0+really1.3.6-1) unstable; urgency=medium

  * New upstream version 1.3.6
    - Update symbols, no change
    - Remove 03_ldb-Fix-missing-NULL-terminator-in-ldb_mod_op_test-t.patch,
      merged
  * Standards-Version: 4.2.1

 -- Mathieu Parent <sathieu@debian.org>  Mon, 27 Aug 2018 15:11:58 +0200
