=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ldb
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
+Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>,
            Mathieu Parent <sathieu@debian.org>
 Build-Depends: debhelper (>= 11),
@@ -25,7 +24,7 @@
                xsltproc
 Rules-Requires-Root: no
 Homepage: http://ldb.samba.org/
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/samba-team/ldb
 Vcs-Git: https://salsa.debian.org/samba-team/ldb.git
