## ldb 1.4.2

=== debian/changelog ===
ldb (2:1.4.2-4) unstable; urgency=medium

  [ James Clarke ]
  * 03_EBADE: Add patch from upstream to fix FTBFS on architectures with no
    EBADE error code, such as GNU/kFreeBSD.

  [ Mathieu Parent ]
  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Thu, 01 Nov 2018 21:10:06 +0100

ldb (2:1.4.2-3) experimental; urgency=medium

  * Fix FTBFS on 32-bit architectures (Samba #13630):
    - Revert "d/rules: Append -D_FILE_OFFSET_BITS=64 to CFLAGS to fix FTBFS on
      32-bit platforms"
    - Enable make test even without lmdb
    - 02_hurd patch fixup
    - d/libldb1.install: Do not ship libldb-mdb-int.so on 32-bit architectures

 -- Mathieu Parent <sathieu@debian.org>  Mon, 08 Oct 2018 14:31:20 +0200

ldb (2:1.4.2-2) experimental; urgency=medium

  * d/rules: Append -D_FILE_OFFSET_BITS=64 to CFLAGS to fix FTBFS on 32-bit
    platforms
  * d/rules: More verbose build log with waf -v

 -- Mathieu Parent <sathieu@debian.org>  Wed, 19 Sep 2018 06:44:59 +0200

ldb (2:1.4.2-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream version 1.4.2
    - Bump build-dependencies to talloc 2.1.4, tdb 1.3.16 and tevent 0.9.37
    - Update symbols
    - Update patch 02_hurd
  * d/rules: Remove dbgsym-migration in override_dh_strip
  * d/libldb1.install: Install libldb-mdb-int.so and libldb-key-value.so
  * d/rules: dh_missing --fail-missing
  * d/control: Revert "Mark python-ldb Multi-Arch: same" to fix Lintian's
    multi-arch-same-package-calls-pycompile

 -- Mathieu Parent <sathieu@debian.org>  Tue, 18 Sep 2018 21:21:53 +0200
