=== debian/control ===
--- 
+++ 
@@ -12,15 +12,15 @@
                libldap2-dev,
                liblmdb-dev (>= 0.9.16),
                libpopt-dev,
-               libtalloc-dev (>= 2.1.13~),
-               libtdb-dev (>= 1.3.15~),
-               libtevent-dev (>= 0.9.36~),
+               libtalloc-dev (>= 2.1.14~),
+               libtdb-dev (>= 1.3.16~),
+               libtevent-dev (>= 0.9.37~),
                pkg-config,
                python (>= 2.6.6-3),
                python-all-dbg (>= 2.6.6-3),
                python-all-dev (>= 2.6.6-3),
-               python-talloc-dev (>= 2.1.13~),
-               python-tdb (>= 1.3.15~),
+               python-talloc-dev (>= 2.1.14~),
+               python-tdb (>= 1.3.16~),
                xsltproc
 Rules-Requires-Root: no
 Homepage: http://ldb.samba.org/
@@ -93,7 +93,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Section: python
 Architecture: any
-Multi-Arch: same
 Depends: libldb1 (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
