## ldb 1.4.3

=== debian/changelog ===
ldb (2:1.4.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Sat, 17 Nov 2018 17:26:26 +0100

ldb (2:1.4.3-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream version 1.4.3
    - Update symbols: no change
  * Add Debian pipeline (debian/gitlab-ci.yml
  * Lintian:
    - debian/python-ldb.lintian-overrides: Override false-positive
      library-not-linked-against-libc
    - Fix public-upstream-key-not-minimal
    - Add Build-Depends-Package field in d/*.symbols

 -- Mathieu Parent <sathieu@debian.org>  Mon, 12 Nov 2018 09:07:14 +0100
