## ldb 1.5.1+really1.4.3

=== debian/changelog ===
ldb (2:1.5.1+really1.4.3-2) unstable; urgency=high

  * Fixes CVE-2019-3824: "Out of bound read in ldb_wildcard_compare"
    - Add CVE-2019-3824-v4-9.patch
    - Update path, and remove version bump in CVE-2019-3824-v4-9.patch

 -- Mathieu Parent <sathieu@debian.org>  Tue, 26 Feb 2019 23:50:07 +0100

ldb (2:1.5.1+really1.4.3-1) unstable; urgency=high

  * Rollback to version 1.4.3 (for Samba 4.9)
    - Revert "Refresh symbols files."
    - Revert "Install libldb-tdb-{err-map,int}.so"
    - Revert "Drop patch 03_EBADE: applied upstream."

 -- Mathieu Parent <sathieu@debian.org>  Sat, 24 Nov 2018 22:50:47 +0100

ldb (2:1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch 03_EBADE: applied upstream.
  * Install libldb-tdb-{err-map,int}.so
  * Unicodify my surname.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 23 Nov 2018 13:35:28 +0000
